## frocor-0.1.tar.bz2

=== Makefile ===
# You can override the destination by altering the next line
# - or just pass DESTDIR=yourdestdir as a command line arg
DESTDIR=/usr/local

# same for configure script (fms and frocor-player) options:
OPTIONS=

# you shouldn't have to edit anything below this line.

ocordir=ocor
sdlclientdir=sdlclient
frocorplayerdir=frocor-player
fmsdir=fms
genudsdir=genuds
udstotcpdir=tcp-uds-connector
frocorscriptdir=frocor-scripts



all: neededtorun gencuds udstotcp
	touch built-stamp

built-stamp: all
neededtorun: fms frocorplayer ocor-backend ocor-sdlclient 


install: built-stamp
	cd $(ocordir) &&\
	$(MAKE) install DESTDIR=$(DESTDIR)
	cd $(sdlclientdir) &&\
	$(MAKE) install DESTDIR=$(DESTDIR)
	cd $(genudsdir) &&\
	$(MAKE) install DESTDIR=$(DESTDIR)
	cd $(udstotcpdir) &&\
	$(MAKE) install DESTDIR=$(DESTDIR)
	cd $(fmsdir) &&\
	$(MAKE) install
	cd $(frocorplayerdir) &&\
	$(MAKE) install
	cd $(frocorscriptdir) &&\
	$(MAKE) install DESTDIR=$(DESTDIR)
	

ocor-backend:
	cd $(ocordir) &&\
	$(MAKE) DESTDIR=$(DESTDIR)
ocor-sdlclient:
	cd $(sdlclientdir) &&\
	$(MAKE) DESTDIR=$(DESTDIR)
gencuds:
	cd $(genudsdir) &&\
	$(MAKE) DESTDIR=$(DESTDIR)
udstotcp:
	cd $(udstotcpdir) &&\
	$(MAKE) DESTDIR=$(DESTDIR)
$(fmsdir)/Makefile:
	cd $(fmsdir) &&\
	./configure --prefix=$(DESTDIR) $(OPTIONS)
fms: $(fmsdir)/Makefile
	cd $(fmsdir) &&\
	$(MAKE)
$(frocorplayerdir)/Makefile:
	cd $(frocorplayerdir) &&\
	./configure --prefix=$(DESTDIR) --with-Qt-dir=$(QTDIR) $(OPTIONS)
frocorplayer: $(frocorplayerdir)/Makefile
	cd $(frocorplayerdir) &&\
	$(MAKE)

clean:
	rm -f built-stamp *~
	- cd $(frocorplayerdir) &&\
	 $(MAKE) clean
	- cd $(fmsdir) &&\
	 $(MAKE) clean
	cd $(ocordir) &&\
	 $(MAKE) clean
	cd $(sdlclientdir) &&\
	 $(MAKE) clean
	cd $(genudsdir) &&\
	 $(MAKE) clean
	cd $(udstotcpdir) &&\
	 $(MAKE) clean

distclean:
	rm -f built-stamp
	-cd $(frocorplayerdir) &&\
	 $(MAKE) distclean
	-cd $(fmsdir) &&\
	 $(MAKE) distclean
	cd $(ocordir) &&\
	 $(MAKE) distclean
	cd $(sdlclientdir) &&\
	 $(MAKE) distclean
	cd $(genudsdir) &&\
	 $(MAKE) distclean
	cd $(udstotcpdir) &&\
	 $(MAKE) distclean

debclean:
	rm -f *.deb *.dsc *.tar.gz *.changes *.build

de-svn:
	# de - subversionizing...
	rm -Rf .svn */.svn */*/.svn */*/*/.svn

=== frocor-scripts/Makefile ===
DESTDIR=/usr/local/

build:
	#nothing to build.
	#run make install.

install:
	install -c -d $(DESTDIR)/bin
	install -c frocor-local $(DESTDIR)/bin
	install -c frocor-kill $(DESTDIR)/bin
	install -c frocor-xmas-clients $(DESTDIR)/bin

=== genuds/Makefile ===
DESTDIR=/usr/local
BIN=$(DESTDIR)/bin/
MANPATH=$(DESTDIR)/man

genuds:

all: genuds

clean:
	rm -rf *~ *.o

distclean: clean 
	rm -f genuds

mrproper:  distclean

#created for debian packages but seems to also work directly:
install: install-bin install-man

install-bin: all
	install -d $(BIN)
	install ./genuds $(BIN)

install-man:
	install -c -d $(MANPATH)/man1/
	install -c genuds.1 $(MANPATH)/man1/

=== ocor/Makefile ===
DESTDIR=/usr/local/

ocorbackend: ocor.pp transformations.pp
	fpc ocor.pp -oocorbackend

ocor: ocorbackend

all: transformations ocor

transformations: transformations.pp
	fpc transformations.pp

cleantmp:
	rm -f /tmp/ocorsdl-user.0
	rm -f /tmp/frocor-uds

clean: cleantmp
	rm -f *~ ppas.sh *.o

distclean: clean
	rm -f *.ppu
	rm -f *.ppu
	rm -f ocorbackend

mrproper: distclean

install: ocorbackend
	install -c -d $(DESTDIR)/bin
	install -c ocorbackend $(DESTDIR)/bin/

#debugging:
crashed: cleantmp
	killall quint; exit 0
	killall genuds; exit 0
	killall -9 ocorbackend; exit 0
	killall -9 ocor-sdlclient; exit 0
	killall -9 quint; exit 0
	killall -9 genuds; exit 0

=== sdlclient/Makefile ===
DESTDIR=/usr/local/

ocor-sdlclient: sdlclient.pp graphsdl.pp
	fpc -Fusdl sdlclient.pp -oocor-sdlclient

sdlclient: ocor-sdlclient

all:  graphsdl sdlclient

graphsdl: graphsdl.pp 
	fpc -Fusdl graphsdl.pp

clean:
	rm -f *~ ppas.sh link.res *.o
	rm -f sdl/*.o

distclean: clean 
	rm -f *.ppu ocor-sdlclient
	rm -f sdl/*.ppu

mrproper: distclean

install: ocor-sdlclient
	install -d $(DESTDIR)/bin
	install -c ocor-sdlclient $(DESTDIR)/bin

=== tcp-uds-connector/Makefile ===
DESTDIR=/usr/local

all: tucserver tucclient

tucserver: server.cpp tcp.h
	g++ -o tucserver server.cpp -lpthread

tucclient: client.cpp tcp.h
	g++ -o tucclient client.cpp -lpthread

clean:
	rm -rf *~ *.o c-examples/*~ c-examples/*.o

distclean: clean
	rm -rf tucserver tucclient c-examples/server c-examples/client

install: install-bin install-man

install-bin: all
	install -c -d $(DESTDIR)/bin/
	install -c tucserver $(DESTDIR)/bin/
	install -c tucclient $(DESTDIR)/bin/

install-man:
	install -c -d $(DESTDIR)/share/man/man1/
	install -c tucserver.1 $(DESTDIR)/share/man/man1/
	install -c tucclient.1 $(DESTDIR)/share/man/man1/

=== fms/debian/changelog ===
fms (0.1-1) unstable; urgency=low

  * New upstream release
  * First public release

 -- Fabian Stoehr <debian@fstoehr.de>  Sun,  8 May 2005 18:11:19 +0200

fms (0.099+svn-1) unstable; urgency=low

  * non-public pre-release 

 -- Fabian Stoehr <debian@fstoehr.de>  Sat,  7 May 2005 16:56:19 +0200

fms (0.09-2) unstable; urgency=low

  * symblinks created by the make install procedure are now relative, no
    longer absolute (previously, frocor-xmas wasn't working because of that)

 -- Fabian Stoehr <debian@fstoehr.de>  Sat, 26 Mar 2005 21:20:04 +0100

fms (0.09-1) unstable; urgency=low

  * Initial Release.

 -- Fabian Stoehr <debian@fstoehr.de>  Fri, 25 Mar 2005 18:48:11 +0100

=== frocor-player/debian/changelog ===
frocor-player (0.1-1) unstable; urgency=low

  * New upstream release
  * First public release

 -- Fabian Stoehr <debian@fstoehr.de>  Sun,  8 May 2005 18:15:32 +0200

frocor-player (0.099+svn-1) unstable; urgency=low

  * non-public pre-release 

 -- Fabian Stoehr <debian@fstoehr.de>  Sat,  7 May 2005 16:56:09 +0200

frocor-player (0.09-1) unstable; urgency=low

  * Initial Release.

 -- Fabian Stoehr <debian@fstoehr.de>  Fri, 25 Mar 2005 18:20:03 +0100

=== frocor-scripts/debian/changelog ===
frocor-scripts (0.1-1) unstable; urgency=low

  * New upstream release
  * First public release

 -- Fabian Stoehr <debian@fstoehr.de>  Sun,  8 May 2005 18:16:11 +0200

frocor-scripts (0.099+svn-1) unstable; urgency=low

  * non-public pre-release 

 -- Fabian Stoehr <debian@fstoehr.de>  Sat,  7 May 2005 16:56:31 +0200

frocor-scripts (0.09-3) unstable; urgency=low

  * fixed this changelog :-)

 -- Fabian Stoehr <debian@fstoehr.de>  Sat, 26 Mar 2005 21:39:16 +0100

frocor-scripts (0.09-2) unstable; urgency=low

  * menu item is installed now

 -- Fabian Stoehr <debian@fstoehr.de>  Sat, 26 Mar 2005 20:28:37 +0100

frocor-scripts (0.09-1) unstable; urgency=low

  * Initial Release.

 -- Fabian Stoehr <debian@fstoehr.de>  Fri, 25 Mar 2005 14:05:48 +0100

=== frocor/debian/changelog ===
frocor (0.1-1) unstable; urgency=low

  * New upstream release
  * First public release

 -- Fabian Stoehr <debian@fstoehr.de>  Sun,  8 May 2005 18:14:27 +0200

frocor (0.099+svn-1) unstable; urgency=low

  * non-public pre-release 

 -- Fabian Stoehr <debian@fstoehr.de>  Sat,  7 May 2005 16:56:41 +0200

frocor (0.09-1) unstable; urgency=low

  * Initial Release.

 -- Fabian Stoehr <debian@fstoehr.de>  Fri, 25 Mar 2005 14:29:53 +0100

=== genuds/debian/changelog ===
genuds (0.1-1) unstable; urgency=low

  * New upstream release
  * First public release

 -- Fabian Stoehr <debian@fstoehr.de>  Sun,  8 May 2005 18:16:34 +0200

genuds (0.099+svn-1) unstable; urgency=low

  * non-public pre-release 

 -- Fabian Stoehr <debian@fstoehr.de>  Sat,  7 May 2005 16:55:41 +0200

genuds (0.09-1) unstable; urgency=low

  * Initial Release.

 -- Fabian Stoehr <debian@fstoehr.de>  Tue,  8 Mar 2005 14:14:43 +0100

=== ocor/debian/changelog ===
ocor (0.1-1) unstable; urgency=low

  * New upstream release
  * First public release

 -- Fabian Stoehr <debian@fstoehr.de>  Sun,  8 May 2005 18:17:01 +0200

ocor (0.099+svn-1) unstable; urgency=low

  * non-public pre-release

 -- Fabian Stoehr <debian@fstoehr.de>  Sat,  7 May 2005 16:49:15 +0200

ocor (0.09-1) unstable; urgency=low

  * Initial Release.

 -- Fabian Stoehr <debian@fstoehr.de>  Tue,  8 Mar 2005 13:23:15 +0100

=== sdlclient/debian/changelog ===
ocor-sdlclient (0.1-1) unstable; urgency=low

  * New upstream release
  * First public release

 -- Fabian Stoehr <debian@fstoehr.de>  Sun,  8 May 2005 18:17:26 +0200

ocor-sdlclient (0.099+svn-1) unstable; urgency=low

  * non-public pre-release 

 -- Fabian Stoehr <debian@fstoehr.de>  Sat,  7 May 2005 16:54:59 +0200

ocor-sdlclient (0.09-1) unstable; urgency=low

  * Initial Release.

 -- Fabian Stoehr <debian@fstoehr.de>  Tue,  8 Mar 2005 14:09:18 +0100

=== tcp-uds-connector/debian/changelog ===
tcp-uds-connector (0.1-1) unstable; urgency=low

  * New upstream release
  * First public release 

 -- Fabian Stoehr <debian@fstoehr.de>  Sun,  8 May 2005 18:18:02 +0200

tcp-uds-connector (0.099+svn-1) unstable; urgency=low

  * non-public pre-release 

 -- Fabian Stoehr <debian@fstoehr.de>  Sat,  7 May 2005 16:55:25 +0200

tcp-uds-connector (0.09-1) unstable; urgency=low

  * Initial Release.

 -- Fabian Stoehr <debian@fstoehr.de>  Tue,  8 Mar 2005 14:20:46 +0100

=== fms/debian/control ===
Source: fms
Section: sound
Priority: optional
Maintainer: Fabian Stoehr <debian@fstoehr.de>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, libsdl-gfx1.2-dev
Standards-Version: 3.6.1

Package: fms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: frocor
Description: F Modular Synthesizer
 FMS is a virtual synthesizer. It includes tools to create simple sounds, mixes
 and sequences of sounds from scratch and either play them or save them to wave
 files, save sounds in the fms sound formats, display saved sounds as
 oscillograms. Features include modulation of sound properties (such as
 frequency, volume etc.), noise synthesis, speech synthesis, fourier analysis
 and synthesis, midi-like mode to play music files (fms-midi format or .MUS
 format) and many more.
 .
 More information about FMS can be found at fmsynth.sourceforge.net

=== frocor-player/debian/control ===
Source: frocor-player
Section: sound
Priority: optional
Maintainer: Fabian Stoehr <debian@fstoehr.de>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, libqt3-mt-dev
Standards-Version: 3.6.1

Package: frocor-player
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: frocor
Description: controls frocor sound and graphic output (Qt frontend)
 frocor-player is both the central app of frocor, which the fms and ocor
 frocor components connect to, and an easy-to-use Qt frontend to control 
 the output of those components.
 .
 frocor-player, through fms and ocor, plays 4 sounds and displays 4
 corresponding shapes. The properties of those sound+shapes
 (volume=size, frequency=color, sweep frequency = spinning) can be
 controled via the qt frontend.
 .
 Frocor-player is (guess what) part of the Frocor project.
 .
 It serves little use unless you also have some of the other components
 installed

=== frocor-scripts/debian/control ===
Source: frocor-scripts
Section: sound
Priority: optional
Maintainer: Fabian Stoehr <debian@fstoehr.de>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: frocor-scripts
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, frocor-player, fms, ocor, ocor-sdlclient
Recommends: tcp-uds-connector
Suggests: genuds
Description: scripts to start frocor
 This package includes scripts used to start frocor easily.
 .
 The scripts start all frocor components needed to run frocor or frocor-xmas
 if all components run on the same computer.
 .
 This package is part of Frocor.

=== frocor/debian/control ===
Source: frocor
Section: sound
Priority: optional
Maintainer: Fabian Stoehr <debian@fstoehr.de>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: frocor
Architecture: all
Depends: frocor-scripts, frocor-player, fms, ocor, ocor-sdlclient, tcp-uds-connector, genuds
Description: plays sounds and displays corresponding shapes
 Frocor plays sounds (currently sine, square, or triangle sounds) and displays
 corresponding shapes using sdl.
 .
 Through an easy to use, graphical qt interface the user can modify properties
 of these sounds (currently volume, frequency, sweep frequency) and both hears 
 and sees the changes he just made.
 .
 Frocor uses a component architecture and is thus very extensible. Also, 
 different components can run on different computers, allowing for example
 one computer to play the sounds, another one to show the graphical output and
 a third one to control frocor.

=== genuds/debian/control ===
Source: genuds
Section: devel
Priority: optional
Maintainer: Fabian Stoehr <debian@fstoehr.de>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: genuds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple telnet-clone for unix domain socket connections
 genuds acts as either a unix domain socket server or client, printing
 any ascii data sent to it to the screen and sending any keyboard input
 through the connections.
 .
 Its main use is to debug programs which use unix domain sockets.
 .
 genuds is part of the frocor project, originally designed to debug
 frocor components.

=== ocor/debian/control ===
Source: ocor
Section: graphics
Priority: optional
Maintainer: Fabian Stoehr <debian@fstoehr.de>
Build-Depends: debhelper (>= 4.0.0), fp-compiler (>=1.9.0)
Standards-Version: 3.6.1

Package: ocor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: frocor, ocor-sdlclient
Description: uds drawing and animation system
 ocor is a program which displays 2-dimensional geometric objects (polygons,
 circles) and applies animations on those geometric objects.
 .
 Those animations can be applied immediataly as transformations, or can be
 scheduled at regular time intervals etc.
 .
 To do that, ocor utilizes a separate client (using unix domain sockets) 
 to display the final result.  Currently, the only such client is 
 ocor-sdlclient.
 .
 When using the tcp-uds-connector (also part of the frocor project), ocor can
 also function over the internet (and receive input from or display data on a
 different machine).
 .
 ocor receives its input from separate programs (also using unix domain 
 sockets). Currently, it is only used by the frocor project. Thus, if you
 install this, you may also want to install the frocor package.
 .
 Ocor is part of the Frocor Project.

=== sdlclient/debian/control ===
Source: ocor-sdlclient
Section: graphics
Priority: optional
Maintainer: Fabian Stoehr <debian@fstoehr.de>
Build-Depends: debhelper (>= 4.0.0), fp-compiler (>=1.9.0), libsdl1.2-dev
Standards-Version: 3.6.1

Package: ocor-sdlclient
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ocor, frocor	
Description: displays ocor output
 ocor-sdlclient displays output send (over unix domain sockets or the internet)
 by ocor.
 .
 ocor-sdlclient is part of the frocor project.
 .
 If you don't have frocor or at least ocor installed, you probably don't want
 to install this.

=== tcp-uds-connector/debian/control ===
Source: tcp-uds-connector
Section: net
Priority: optional
Maintainer: Fabian Stoehr <debian@fstoehr.de>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: tcp-uds-connector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: frocor
Description: connect unix domain sockets on 2 different machines
 tcp-uds-connector connects two programs which use unix domain sockets via tcp,
 acting as an adapter..
 .
 Thus, it is possible for those programs to communicate over the internet,
 though they originally have been designed to run on the same machine.
 .
 tcp-uds-connector contains 2 programs, one of which allows a uds server to act
 as a tcp server, and the other one of which allows a uds client to act as a
 tcp client. 
 .
 tcp-uds-connector uses a special adapter protocol, thus client and server need
 to be used to gether (you can't connect to a uds server adapted to work as a 
 tcp server with a normal tcp client).
 .
 tcp-uds-connector is part of the frocor project and mainly designed to allow
 frocor to function over the internet.

=== fms/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) complete

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/fms.
	# install-base doesn't install docs.
	$(MAKE) install-debian prefix=$(CURDIR)/debian/fms/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== frocor-player/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --with-Qt-dir=/usr/share/qt3 --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/frocor-player.sgml > frocor-player.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/frocor-player.
	$(MAKE) install prefix=$(CURDIR)/debian/frocor-player/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== frocor-scripts/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	dh_clean 

install:
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/frocor-scripts.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/frocor-scripts/usr/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== frocor/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




build:

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== genuds/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/genuds.sgml > genuds.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/genuds.
	$(MAKE) install-bin DESTDIR=$(CURDIR)/debian/genuds/usr/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== ocor/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/ocor.sgml > ocor.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/ocor.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ocor/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== sdlclient/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/ocor-sdlclient.sgml > ocor-sdlclient.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/ocor-sdlclient.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ocor-sdlclient/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== tcp-uds-connector/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/tcp-uds-connector.sgml > tcp-uds-connector.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tcp-uds-connector.
	$(MAKE) install-bin DESTDIR=$(CURDIR)/debian/tcp-uds-connector/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
